// vim: set tw=80 ts=2 sw=2 sts=2 :

import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';

import { NgLoggerModule, Level } from '@nsalaun/ng-logger';
import { RestangularModule } from 'ngx-restangular';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { ToastrModule } from 'ngx-toastr';

import { AccountService } from './account.service';
import { AccountBalancesService } from './accountBalances.service';
import { AccountListComponent } from './accountList.component';
import { AccountDeleteModalComponent } from './accountDeleteModal.component';
import { AccountEditModalComponent } from './accountEditModal.component';
import { AccountFormComponent } from './accountForm.component';
import { AccountRowComponent } from './accountRow.component';

@NgModule({
  imports: [
    HttpModule,
    CommonModule,
    FormsModule,
    NgLoggerModule,
    RestangularModule,
    ToastrModule,
    NgbModule
  ],
  providers: [
    AccountService,
    AccountBalancesService,
  ],
  declarations: [
    AccountListComponent,
    AccountDeleteModalComponent,
    AccountEditModalComponent,
    AccountFormComponent,
    AccountRowComponent
  ],
  entryComponents: [
    AccountListComponent,
    AccountDeleteModalComponent,
    AccountEditModalComponent,
    AccountFormComponent,
    AccountRowComponent
  ]
})
export class AccountModule {}

